Package fr.gouv.vitam.worker.core.plugin

# Class StoreMetadataObjectActionHandler

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.StoreObjectActionHandler
fr.gouv.vitam.worker.core.plugin.StoreMetadataObjectActionHandler

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `BulkAtomicUpdateProcess`, `MassUpdateUnitsProcess`, `MassUpdateUnitsRulesProcess`, `MigrationUnits`

public abstract class StoreMetadataObjectActionHandler extends StoreObjectActionHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoreMetadataObjectActionHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.fasterxml.jackson.databind.JsonNode`
  `getRawLogbookLifeCycleById(String idDocument, DataCategory dataCategory, LogbookLifeCyclesClient logbookClient)`
  retrieve the Raw LFC for the metadata document (Unit or Got)
  `protected com.fasterxml.jackson.databind.JsonNode`
  `selectMetadataDocumentRawById(String idDocument, DataCategory dataCategory, MetaDataClient metaDataClient)`
  selectMetadataDocumentById, Retrieve Metadata Document from DB

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.StoreObjectActionHandler

  `storeObject, storeObjects, storeStorageInfos, updateSubTasksAndTasksFromStorageInfos`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, execute, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StoreMetadataObjectActionHandler

    public StoreMetadataObjectActionHandler()

- ## Method Details

  - ### selectMetadataDocumentRawById

    protected com.fasterxml.jackson.databind.JsonNode selectMetadataDocumentRawById(String idDocument, DataCategory dataCategory, MetaDataClient metaDataClient) throws VitamException
    selectMetadataDocumentById, Retrieve Metadata Document from DB
    Parameters:
      `idDocument` - document uuid
      `dataCategory` - accepts UNIT or OBJECTGROUP
      `metaDataClient` - MetaDataClient to use
    Returns:
      JsonNode from the found document
    Throws:
      `ProcessingException` - if no result found or error during parsing response from metadata client
      `VitamException`

  - ### getRawLogbookLifeCycleById

    protected com.fasterxml.jackson.databind.JsonNode getRawLogbookLifeCycleById(String idDocument, DataCategory dataCategory, LogbookLifeCyclesClient logbookClient) throws VitamException
    retrieve the Raw LFC for the metadata document (Unit or Got)
    Parameters:
      `idDocument` - document uuid
      `dataCategory` - accepts UNIT or OBJECT_GROUP
      `logbookClient` - LogbookLifeCyclesClient to use
    Returns:
      the raw LFC
    Throws:
      `ProcessingException` - if no result found or error during parsing response from logbook client
      `VitamException`